;--------------------------------
; Modern User Interface
; MUI 1.74 compatible ------
; For documentation on MUI see:
;   http://nsis.sourceforge.net/Docs/Modern%20UI/Readme.html
!ifndef _SwordMUI_nsh
!define _SwordMUI_nsh

  !include "SwordProduct.nsh"
  !include "MUI.nsh"

  ;--------------------------------
  ; Icons for the (un)installer
  ; Note: the install and uninstall icons must have the same dimensions
  ; Use icons provided with NSIS.
  !define MUI_ICON                       "${NSISDIR}\Contrib\Graphics\Icons\orange-install.ico"
  !define MUI_UNICON                     "${NSISDIR}\Contrib\Graphics\Icons\orange-uninstall.ico"

  ; MUI Settings / Header
  !define MUI_HEADERIMAGE
  !define MUI_HEADERIMAGE_RIGHT
  !define MUI_HEADERIMAGE_BITMAP         "${NSISDIR}\Contrib\Graphics\Header\orange-r.bmp"
  !define MUI_HEADERIMAGE_UNBITMAP       "${NSISDIR}\Contrib\Graphics\Header\orange-uninstall-r.bmp"
 
  ; MUI Settings / Wizard
  !define MUI_WELCOMEFINISHPAGE_BITMAP   "${NSISDIR}\Contrib\Graphics\Wizard\orange.bmp"
  !define MUI_UNWELCOMEFINISHPAGE_BITMAP "${NSISDIR}\Contrib\Graphics\Wizard\orange-uninstall.bmp"

  ;--------------------------------
  ; Establish and remember the Start MenuGroup info
  !define MUI_STARTMENUPAGE_DEFAULT_FOLDER     "${PRODUCT_TITLE}"
  ; Remember where it is
  !define MUI_STARTMENUPAGE_REGISTRY_ROOT      HKLM
  !define MUI_STARTMENUPAGE_REGISTRY_KEY       "${PRODUCT_REGKEY}"
  !define MUI_STARTMENUPAGE_REGISTRY_VALUENAME StartMenuGroup

  !include "SwordPages.nsh"
  !include "SwordLang.nsh"
  !include "SwordReserve.nsh"

!endif ; _SwordMUI_nsh