;--------------------------------
; Lays out the pages for the installer
; It does not need to be changed.
;
; MUI 1.74 compatible ------
; For documentation on MUI see:
;   http://nsis.sourceforge.net/Docs/Modern%20UI/Readme.html
!ifndef _SwordPages_nsh
!define _SwordPages_nsh

  !include "SwordProduct.nsh"
  !include "MUI.nsh"

  ;--------------------------------
  ; Do not automatically jump to the finish page,
  ; to allow the user to check the (un)install log.
  !define MUI_FINISHPAGE_NOAUTOCLOSE
  !define MUI_UNFINISHPAGE_NOAUTOCLOSE

  ;--------------------------------
  ; Show a message box with a warning
  ; when the user wants to close the (un)installer.
  !define MUI_ABORTWARNING
  !define MUI_UNABORTWARNING

  ;--------------------------------
  ; (Un)Installer pages
  !insertmacro MUI_PAGE_WELCOME
  !insertmacro MUI_PAGE_LICENSE   "${PRODUCT_LICENSE}"
  !insertmacro MUI_PAGE_DIRECTORY
  !insertmacro MUI_PAGE_STARTMENU Application $StartMenuGroup
  !insertmacro MUI_PAGE_INSTFILES
  !insertmacro MUI_PAGE_FINISH
  !insertmacro MUI_UNPAGE_CONFIRM
  !insertmacro MUI_UNPAGE_INSTFILES

!endif ; _SwordPages_nsh