;--------------------------------
; Various functions that are useful.
; It does not need to be changed.
!ifndef _SwordUtil_nsh
!define _SwordUtil_nsh

; copied from http://nsis.sourceforge.net/Recursively_remove_empty_parent_directories
; modified by DM Smith to delete the specified directory first
Function un.RMDirUP
  !define RMDirUP '!insertmacro RMDirUPCall'

  !macro RMDirUPCall _PATH
    push '${_PATH}'
    Call un.RMDirUP
  !macroend

  ; $0 - current folder
  ClearErrors

  Exch $0
  RMDir "$0"

  IfErrors Skip
  ${RMDirUP} "$0\.."
  Skip:

  Pop $0
FunctionEnd

; Don't know where this macro came from
# Macro for selecting uninstaller sections
!macro SELECT_UNSECTION SECTION_NAME UNSECTION_ID
    Push $R0
    ReadRegStr $R0 HKLM "${PRODUCT_REGKEY}\Components" "${SECTION_NAME}"
    StrCmp $R0 1 0 next${UNSECTION_ID}
    !insertmacro SelectSection "${UNSECTION_ID}"
    Goto done${UNSECTION_ID}
next${UNSECTION_ID}:
    !insertmacro UnselectSection "${UNSECTION_ID}"
done${UNSECTION_ID}:
    Pop $R0
!macroend

!macro Splash bmp
  InitPluginsDir
  Push $R1
  File /oname=$PLUGINSDIR\spltmp.bmp ${bmp}
  advsplash::show 1000 1000 1000 -1 $PLUGINSDIR\spltmp
  Pop $R1
  Pop $R1
!macroend

;!macro ReadRegStr var key value
;  StrCmp $ALLORCURRENT all 0 +3 # replace with real check
;   ReadRegStr "${var}" HKLM "${key}" "${value}"
;  Goto +2
;   ReadRegStr "${var}" HKCU "${key}" "${value}"
;!macroend

!endif ; _SwordUtil_nsh
